Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation.metaclass
[Java] Class ConstraintsEvaluatingDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.validation.metaclass.ConstraintsEvaluatingDynamicProperty

    @Deprecated
    public class ConstraintsEvaluatingDynamicProperty
    extends AbstractDynamicProperty

This is a dynamic property that instead of returning the closure sets a new proxy meta class for the scope of the call and invokes the closure itself which builds up a list of ConstrainedProperty instances.

deprecated:
  This class has been deprecated and will be removed in a future version of Grails

Authors:
  Graeme Rocher
  Sergey Nebolsin

Field Summary
`static java.lang.String` | `PROPERTY_NAME`

Constructor Summary
`ConstraintsEvaluatingDynamicProperty(GrailsDomainClassProperty[] properties)`
`ConstraintsEvaluatingDynamicProperty()`

Method Summary
`java.lang.Object` | `get(java.lang.Object object)`
`void` | `set(java.lang.Object object, java.lang.Object newValue)`

Methods inherited from class AbstractDynamicProperty
get, getPropertyName, isPropertyMatch, set

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

Constructor Detail

### ConstraintsEvaluatingDynamicProperty

    public ConstraintsEvaluatingDynamicProperty(GrailsDomainClassProperty[] properties)

### ConstraintsEvaluatingDynamicProperty

    public ConstraintsEvaluatingDynamicProperty()

Method Detail

### get

    @Override
    public java.lang.Object get(java.lang.Object object)

### set

    @Override
    public void set(java.lang.Object object, java.lang.Object newValue)

Groovy Documentation